var env = require('../env');
var configCouch = require('../config/config-couchdb');

console.log("Running on",env.couchServerURL);

require('../app').App({
    couchDbURL: env.couchDbURL
}).then(function(app){
    configCouch(env.couchServerURL);
    return app;
}).then(function(app){
    app.listen(env.port, function() {
        console.log('Listening on port',env.port);
    });
}, function(error){
    console.error(error);
});
